StatusManagerServlet (Tomcat API Documentation)
Keywords: org.apache.catalina.manager.StatusManagerServlet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.manager
Class StatusManagerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.catalina.manager.StatusManagerServlet

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.management.NotificationListener, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class StatusManagerServlet

extends javax.servlet.http.HttpServlet
implements javax.management.NotificationListener

This servlet will display a complete status of the HTTP/1.1 connector.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`protected java.util.Vector` | `globalRequestProcessors` Vector of global request processors object names.
`protected javax.management.MBeanServer` | `mBeanServer` MBean server.
`protected java.util.Vector` | `protocolHandlers` Vector of protocol handlers object names.
`protected java.util.Vector` | `requestProcessors` Vector of request processors object names.
`protected static StringManager` | `sm` The string manager for this package.
`protected java.util.Vector` | `threadPools` Vector of thread pools object names.

Constructor Summary
`StatusManagerServlet()`

Method Summary
`void` | `destroy()` Finalize this servlet.
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process a GET request for the specified resource.
`void` | `handleNotification(javax.management.Notification notification, java.lang.Object handback)`
`void` | `init()` Initialize this servlet.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mBeanServer

    protected javax.management.MBeanServer mBeanServer

  MBean server.

### protocolHandlers

    protected java.util.Vector protocolHandlers

  Vector of protocol handlers object names.

### threadPools

    protected java.util.Vector threadPools

  Vector of thread pools object names.

### requestProcessors

    protected java.util.Vector requestProcessors

  Vector of request processors object names.

### globalRequestProcessors

    protected java.util.Vector globalRequestProcessors

  Vector of global request processors object names.

### sm

    protected static StringManager sm

  The string manager for this package.

Constructor Detail

### StatusManagerServlet

    public StatusManagerServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initialize this servlet.

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException` - if an exception occurs that interrupts the servlet's normal operation

### destroy

    public void destroy()

  Finalize this servlet.

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Process a GET request for the specified resource.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet-specified error occurs
  See Also:
    `ServletResponse.setContentType(java.lang.String)`

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   java.lang.Object handback)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.